# IncentivesList

> List incentives with their rules, grant counts, redemptions and estimated value. Read access, incentives toolset, MCP tool list_incentives.

**Access:** [Read](https://developer.missin.co.uk/get-started/authentication.md#access-levels)

## Variables

| Variable | Type | Required | Accepts | Description |
|---|---|---|---|---|
| `first` | `Int!` | yes | 32-bit integer. MCP tools send `50` when it is left out |  |

## Call it

```bash curl
curl https://api.missin.co.uk/graphql/v1 \
  -H "Authorization: Bearer $MISSIN_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"operationName":"IncentivesList","variables":{"first":50},"extensions":{"persistedQuery":{"version":1,"sha256Hash":"b96301024934c05641a47308bfc74169abb373e3bb6ba10616f18c27406c36b2"}}}'
```

## Document

```graphql
fragment IncentiveRow on Incentive { __typename audience createdAt description formByFormId { __typename formSlug id rowId status title } icon iconColor id grants: incentiveGrantsByIncentiveId { __typename aggregates { __typename sum { __typename valueEstimate } } totalCount } redeemed: incentiveGrantsByIncentiveId(condition: {status: REDEEMED}) { __typename totalCount } rules: incentiveRulesByIncentiveId(orderBy: [PRIMARY_KEY_ASC]) { __typename nodes { __typename connectionId discountCodeByDiscountCodeId { __typename code discountPlacementsByDiscountCodeId { __typename totalCount } id rowId } discountCodeId id kindSlug outcome rowId terms } totalCount } limitCount limitPeriod name rowId status tier } query IncentivesList($first: Int!) { __typename allIncentives(first: $first, orderBy: [CREATED_AT_DESC]) { __typename nodes { __typename ...IncentiveRow } totalCount } }
```

Source: https://developer.missin.co.uk/reference/incentives/incentives-list
